cppcms::sessions::session_dual Class Reference

Client and Server side storage implementation of session_api. More...

`#include <cppcms/session_dual.h>`

Inheritance diagram for cppcms::sessions::session_dual:

## Public Member Functions

| session_dual (std::auto_ptr< encryptor > enc, booster::shared_ptr< session_storage > storage, size_t data_size_limit)
virtual | ~session_dual ()
virtual void | save (session_interface &, std::string const &data, time_t timeout, bool new_session, bool on_server)
virtual bool | load (session_interface &, std::string &data, time_t &timeout)
virtual void | clear (session_interface &)
virtual bool | is_blocking ()
Public Member Functions inherited from cppcms::session_api
virtual | ~session_api ()

## Detailed Description

Client and Server side storage implementation of session_api.

## Constructor & Destructor Documentation

cppcms::sessions::session_dual::session_dual | ( | std::auto_ptr< encryptor > | enc,
|  | booster::shared_ptr< session_storage > | storage,
|  | size_t | data_size_limit
| ) |  |

Create a new object using encryptor enc and session_storage storage. data_size_limit represents the maximal data size that can be stored on client side, if the data size is bigger then that the session data will be stored on server

virtual cppcms::sessions::session_dual::~session_dual | ( |  | ) |

virtual

Destroy the object: release pointer to storage and delete an encryptor it was created with.

## Member Function Documentation

virtual void cppcms::sessions::session_dual::clear | ( | session_interface & |  | ) |

virtual

See session_api::clear

Implements cppcms::session_api.

virtual bool cppcms::sessions::session_dual::is_blocking | ( |  | ) |

virtual

see session_api::is_blocking

Implements cppcms::session_api.

virtual bool cppcms::sessions::session_dual::load | ( | session_interface & | ,
|  | std::string & | data,
|  | time_t & | timeout
| ) |  |

virtual

See session_api::load

Implements cppcms::session_api.

virtual void cppcms::sessions::session_dual::save | ( | session_interface & | ,
|  | std::string const & | data,
|  | time_t | timeout,
|  | bool | new_session,
|  | bool | on_server
| ) |  |

virtual

See session_api::save

Implements cppcms::session_api.

The documentation for this class was generated from the following file:

- cppcms/session_dual.h